/** @alpha */
declare const _default: import("@backstage/frontend-plugin-api").BackstagePlugin<{
    catalogIndex: import("@backstage/frontend-plugin-api").RouteRef<undefined>;
    catalogEntity: import("@backstage/frontend-plugin-api").RouteRef<{
        kind: string;
        name: string;
        namespace: string;
    }>;
}, {
    viewTechDoc: import("@backstage/frontend-plugin-api").ExternalRouteRef<{
        kind: string;
        name: string;
        namespace: string;
    }, true>;
    createComponent: import("@backstage/frontend-plugin-api").ExternalRouteRef<undefined, true>;
    createFromTemplate: import("@backstage/frontend-plugin-api").ExternalRouteRef<{
        namespace: string;
        templateName: string;
    }, true>;
    unregisterRedirect: import("@backstage/frontend-plugin-api").ExternalRouteRef<undefined, true>;
}>;
export default _default;
